com.clarkware.junitperf

## Class RandomTimer

- java.lang.Object
- - com.clarkware.junitperf.RandomTimer

All Implemented Interfaces:
  Timer

    public class RandomTimer
    extends java.lang.Object
    implements Timer

The `RandomTimer` is a `Timer` with a random delay and a uniformly distributed variation.

Author:
  Mike Clark, Clarkware Consulting, Inc.
See Also:
  `Timer`

### Constructor Summary

Constructors
Constructor and Description
`RandomTimer(long delay, double variation)` Constructs a `RandomTimer` with the specified minimum delay and variation.

### Method Summary

Methods
`long` `getDelay()` Returns the timer delay.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RandomTimer

    public RandomTimer(long delay,
               double variation)

Constructs a `RandomTimer` with the specified minimum delay and variation.

Parameters:
  `delay` - Minimum delay (ms).
  `variation` - Variation (ms).

### Method Detail

#### getDelay

    public long getDelay()

Returns the timer delay.

Specified by:
  `getDelay` in interface `Timer`
Returns:
  Delay (ms).